Index: trunk/hal/generic/hal_gpt.h
===================================================================
--- trunk/hal/generic/hal_gpt.h	(revision 16)
+++ trunk/hal/generic/hal_gpt.h	(revision 17)
@@ -30,12 +30,12 @@
 //           Generic Page Table Definition (implementation in hal_gpt.c)
 //
-// It is specified as a simple (one dimensionnal) array indexed by the VPN (vpn_t type),
-// even if implementations can use a more sophisticated organistion (two-levels or more).
-// - The number of entries (number of pages in a virtual space) is architecture 
-//   dependant, and is defined as (CONFIG_USER_SPACE_SIZE / CONFIG_PPM_PAGE_SIZE).
-// - Each entry contains a Physical Page Number (ppn_t type),  and a set of attributes,
+// It is specified as a simple (one dimensional) array indexed by the VPN (vpn_t type),
+// even if implementations can use a more sophisticated organisation (two-levels or more).
+// - The number of entries (number of pages in a virtual space) is architecture
+//   dependent, and is defined as (CONFIG_USER_SPACE_SIZE / CONFIG_PPM_PAGE_SIZE).
+// - Each entry contains a Physical Page Number (ppn_t type), and a set of attributes,
 //   defined as masks on a 32 bits-vector.
 //
-// Any arch-specific implementation must implement this API. 
+// Any arch-specific implementation must implement this API.
 /////////////////////////////////////////////////////////////////////////////////////////
 
@@ -71,5 +71,5 @@
 	void           * ptr;    /*! pointer on GPT root (must be page aligned)            */
 	ppn_t            ppn;    /*! PPN of GPT root                                       */
-    struct page_s  * page;   /*! pointer on page descriptor for GPT root               */
+	struct page_s  * page;   /*! pointer on page descriptor for GPT root               */
 }
 gpt_t;
@@ -78,5 +78,5 @@
 /****************************************************************************************
  * This function allocates physical memory for  first level page table (PT1),
- * and initialize the page table descriptor.
+ * and initializes the page table descriptor.
  ****************************************************************************************
  * @ gpt     : pointer on generic page table descriptor.
@@ -88,5 +88,5 @@
  * This function releases all memory dynamically allocated for a generic page table.
  * For a multi-levels radix tree implementation, it includes all nodes in the tree.
- * If the calling thread is running in the reference cluster, it checks that user PTE 
+ * If the calling thread is running in the reference cluster, it checks that user PTE
  * entries are unmapped, and release the mapped physical pages.
  * The kernel pages are not released.
@@ -104,12 +104,12 @@
 
 /****************************************************************************************
- * This blocking fonction get a lock on a PTE (page Table Entry) identified
+ * This blocking function gets a lock on a PTE (page Table Entry) identified
  * by its VPN, and returns only when the PTE has been successfully locked.
- * If the target PTE is not present, it allocates and map a physical page.
+ * If the target PTE is not present, it allocates and maps a physical page.
  * A big page cannot be locked.
  ****************************************************************************************
- * @ gpt     : pointer on the generic page table 
+ * @ gpt     : pointer on the generic page table
  * @ vpn     : virtual page number of the target PTE.
- * @ returns 0 if success / return ENOMEM or EINVAL if error.  
+ * @ returns 0 if success / return ENOMEM or EINVAL if error.
  ***************************************************************************************/
 error_t hal_gpt_lock_pte( gpt_t * gpt,
@@ -119,13 +119,13 @@
  * This function releases the lock on a PTE identified by its VPN.
  ****************************************************************************************
- * @ gpt     : pointer on the generic page table 
+ * @ gpt     : pointer on the generic page table
  * @ vpn     : virtual page number of the target PTE.
- * @ returns 0 if success / returns EINVAL if error.  
+ * @ returns 0 if success / returns EINVAL if error.
  ***************************************************************************************/
-error_t hal_gpt_unlock_pte( gpt_t * gpt, 
-                            vpn_t   vpn ); 
+error_t hal_gpt_unlock_pte( gpt_t * gpt,
+                            vpn_t   vpn );
 
 /****************************************************************************************
- * This function map a page table entry identified by its VPN, from values defined
+ * This function maps a page table entry identified by its VPN, from values defined
  * by the ppn and attr arguments. It allocates physical memory for the local generic
  * page table itself if required.
@@ -133,5 +133,5 @@
  * @ gpt       : [in] pointer on the page table
  * @ vpn       : [in] virtual page number
- * @ ppn       : [in] physical page number 
+ * @ ppn       : [in] physical page number
  * @ attr      : [in] generic attributes
  * @ returns 0 if success / returns ENOMEM if error
@@ -143,7 +143,7 @@
 
 /****************************************************************************************
- * This function unmap a page table entry identified by its VPN.
- * If the calling thread is running in the reference cluster, it send a broadcast RPC
- * to update all others page table copies.
+ * This function unmaps a page table entry identified by its VPN.
+ * If the calling thread is running in the reference cluster, it sends a broadcast RPC
+ * to update all other page table copies.
  ****************************************************************************************
  * @ gpt       : [in] pointer on the page table
@@ -160,5 +160,5 @@
  * @ vpn       : [in]  virtual page number
  * @ attr      : [out] generic attributes
- * @ ppn       : [out] physical page number 
+ * @ ppn       : [out] physical page number
  ***************************************************************************************/
 void hal_gpt_get_pte( gpt_t    * gpt,
@@ -166,5 +166,5 @@
                       uint32_t * attr,
                       ppn_t    * ppn );
- 
+
 
 #endif	/* _GPT_H_ */
